summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStick2018-04-03 11:02:48 -0500
committerStick2018-04-03 11:02:48 -0500
commit2b68d0a86440eb1742ca1bd1ac8db07f8c4fecb2 (patch)
treebd3d1f12cb57b76bb555ba0f0d0505dfe3fe42b2
parentc839d33b991c81f4f90b6459e82ad770b7a73b2e (diff)
downloadaur-2b68d0a86440eb1742ca1bd1ac8db07f8c4fecb2.tar.gz
fix: compile without boost
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD22
2 files changed, 15 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 737a7ded1a2..ef8ef062df8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Fri Nov 17 20:33:07 UTC 2017
+# Tue Apr 3 16:02:31 UTC 2018
pkgbase = blast+
pkgdesc = BLAST tool suite from NCBI (blastn, blastp, blastx, psiblast, etc)
pkgver = 2.7.1
- pkgrel = 1
+ pkgrel = 2
url = http://blast.ncbi.nlm.nih.gov/
arch = i686
arch = x86_64
@@ -21,7 +21,7 @@ pkgbase = blast+
conflicts = cddlib
conflicts = proj
replaces = ncbi-blast
- source = ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.7.1/ncbi-blast-2.7.1+-src.tar.gz
+ source = https://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.7.1/ncbi-blast-2.7.1+-src.tar.gz
sha512sums = e4b3914f51165ae4c82051068ed9d3470687a4e0f1df6274018c0ba14b241666a570d72265c7d167b8ce2a9075652744244a00e3e95c00c4252da0fbd80d17c6
pkgname = blast+
diff --git a/PKGBUILD b/PKGBUILD
index bf45a068ddc..2e976ddd43f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=blast+
pkgver=2.7.1
-pkgrel=1
+pkgrel=2
pkgdesc="BLAST tool suite from NCBI (blastn, blastp, blastx, psiblast, etc)"
arch=('i686' 'x86_64')
url="http://blast.ncbi.nlm.nih.gov/"
@@ -14,27 +14,29 @@ makedepends=('cpio')
conflicts=('blast' 'blast+-bin' 'ncbi-blast' 'cddlib' 'proj')
provides=('blast' 'blast+-bin''ncbi-blast')
replaces=('ncbi-blast')
-source=("ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/$pkgver/ncbi-blast-$pkgver+-src.tar.gz")
+source=("https://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/$pkgver/ncbi-blast-$pkgver+-src.tar.gz")
sha512sums=('e4b3914f51165ae4c82051068ed9d3470687a4e0f1df6274018c0ba14b241666a570d72265c7d167b8ce2a9075652744244a00e3e95c00c4252da0fbd80d17c6')
prepare() {
- cd $srcdir/ncbi-blast-$pkgver+-src/c++
+ cd "$srcdir"/ncbi-blast-"$pkgver"+-src/c++ || exit
./configure \
--prefix=/usr \
--with-dll \
--with-mt \
- --without-gnutls
+ --without-gnutls \
+ --without-boost \
+ --without-bdb
}
build() {
- cd $srcdir/ncbi-blast-$pkgver+-src/c++
+ cd "$srcdir"/ncbi-blast-"$pkgver"+-src/c++ || exit
make
}
package() {
- cd $srcdir/ncbi-blast-$pkgver+-src/c++
- make prefix=$pkgdir/usr install
- chmod +x $pkgdir/usr/lib/*.so
- install -d $pkgdir/usr/share/licenses/$pkgname
- echo 'public domain' > $pkgdir/usr/share/licenses/$pkgname/LICENSE
+ cd "$srcdir"/ncbi-blast-"$pkgver"+-src/c++ || exit
+ make prefix="$pkgdir"/usr install
+ chmod +x "$pkgdir"/usr/lib/*.so
+ install -d "$pkgdir"/usr/share/licenses/"$pkgname"
+ echo 'public domain' > "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
}